@font-face
  font-family: "OpenSans-Bold"
  src: url("../../assets/fonts/OpenSans-Bold.ttf")

body
  margin: 0px
  padding: 0px
  display: flex
  justify-content: center
  text-align: center

#app
  width: 100%
  display: flex
  justify-content: center
  flex-direction: column


.switch
  position: absolute
  top: 20px
  right: 20px
  box-shadow: #000000 0px 4px 15px -8px

.title
  font-family: "OpenSans-Bold"
  width: 230px
  height: 60px
  margin-top: 110px
  margin-bottom: 90px
  border-radius: 20px
  border: none
  background-image: linear-gradient(135deg, #64dfdf 0%, #48bfe3 100%)
  box-shadow: #000000 0px 4px 15px -8px

  transition-duration: 100ms

  p
    margin: 0px
    font-size: 30px

  &:hover
    transition-duration: 300ms
    transform: scale(1.03)

  &:active
    transform: scale(0.97)
    box-shadow: inset #000000 0px 4px 15px -8px

.button-line
  box-sizing: border-box
  width: 100%
  display: flex
  justify-content: space-evenly
  margin-bottom: 27px
  padding-left: 20px
  padding-right: 20px
  button
    width: 100px
    height: 70px
    border-radius: 20px
    border: none
    box-shadow: #000000 0px 4px 15px -8px

    transition-duration: 150ms

    &:hover
      transform: scale(1.03)

    &:active
      transform: scale(0.97)
      box-shadow: inset #000000 0px 4px 15px -8px


    &:nth-child(1)
      background-image: linear-gradient(135deg, #64dfdf 0%, #48bfe3 100%)
    &:nth-child(2)
      background-image: linear-gradient(180deg, #64dfdf 0%, #48bfe3 100%)
    &:nth-child(3)
      background-image: linear-gradient(225deg, #64dfdf 0%, #48bfe3 100%)
    img
      max-width: 70px
      max-height: 55px
      height: auto


::selection
  display: none

.dark-mode::-webkit-scrollbar
  background-color: #141C1F

.light-mode::-webkit-scrollbar
  background-color: #ffffff

::-webkit-scrollbar-thumb
  border-radius: 50px
  background-image: linear-gradient(135deg, #64dfdf 0%, #48bfe3 100%)